package com.bocloud.cmp.provider.groups;

import com.bocloud.cmp.model.ResourceGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ResourceGroups
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/8/6 14:50
 */
public interface ResourceGroupsProvider extends SuperProvider {
    /**
     * 查询所有资源组
     */
    BocloudResult list();

    /**
     * 创建资源组
     */
    BocloudResult create(ResourceGroupModel model);

    /**
     * 删除资源组
     */
    BocloudResult remove(String resourceGroupName);

    /**
     * 资源组详情
     */
    BocloudResult detail(String resourceGroupName);
}
